Retrieve chatbot
Retrieve a specific chatbot by its unique identifier.
GET
/chatbots/{chatbotId}Request parameters
Section titled “Request parameters”Path
chatbotIdstringrequiredThe unique UUID of the chatbot.
Headers
AuthorizationstringrequiredYour API Key formatted as Bearer sk_live_…
Response
Section titled “Response”dataobjectThe chatbot object.
idstringThe unique UUID identifier of the chatbot.
namestringThe name of the chatbot.
settingsobjectConfiguration object containing theme and prompt details.
is_activebooleanWhether the chatbot is currently enabled and active.
created_atstringThe ISO 8601 timestamp of when the chatbot was created.
curl -X GET https://app.picobot.dev/api/chatbots/91981020-f783-4544-ad96-39857ac589cb \ -H "Authorization: Bearer <token>"fetch('https://app.picobot.dev/api/chatbots/91981020-f783-4544-ad96-39857ac589cb', { method: 'GET', headers: { 'Authorization': 'Bearer <token>' }}).then(res => res.json()).then(console.log);import requests
headers = { "Authorization": "Bearer <token>"}response = requests.get("https://app.picobot.dev/api/chatbots/91981020-f783-4544-ad96-39857ac589cb", headers=headers)print(response.json())HttpResponse<String> response = Unirest.get("https://app.picobot.dev/api/chatbots/91981020-f783-4544-ad96-39857ac589cb") .header("Authorization", "Bearer <token>") .asString();{ "data": { "id": "91981020-f783-4544-ad96-39857ac589cb", "name": "Test API Bot", "settings": { "theme": "dark" }, "is_active": true, "created_at": "2026-06-19T21:21:06.572Z" }}